Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.examples.Pie
Class Pie

    java.lang.Object
      |
      +--com.ibm.ulc.util.UlcObject
            |
            +--com.ibm.ulc.application.ULCContext
                  |
                  +--com.ibm.ulc.examples.Pie.Pie

public class Pie
extends com.ibm.ulc.application.ULCContext

A minimal ULC application to demonstrate the UI PieChart extension.

See Also:
  Serialized Form

Fields inherited from class com.ibm.ulc.application.ULCContext
`fUILocale`

Constructor Summary
`Pie()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `pieSelected(java.lang.String label)` Increment the selected pie segment by 1 every time it is selected.
`void` | `start()` Build the sample ULC application.

Methods inherited from class com.ibm.ulc.application.ULCContext
`add, addedUIConnection, addUIConnectionListener, applicationTerminated, beep, connect, connect, connect, connect, connectionCreated, connectionEnded, connectionStarted, connectToApp, create, disconnect, disconnectFromApp, exitIfLastApp, free, getAutoReconnect, getConnection, getExitOnLastApplicationClosed, getInstalledLookAndFeels, getLook, getNextContextId, getRegistry, getResourceBundleBaseFileName, getResourceLocale, getResourceObject, getResourceString, getSeed, getUILocale, getUserParameter, handleExitRequest, handleInitRequest, handleRequest, isRecent, killServer, processNextRequest, processNextRequest, reconnectAfterException, reconnectDelayInMillis, reconnectUI, register, remove, removedUIConnection, restartUI, send, sendAccept, sendInit, setAutoReconnect, setExitOnLastApplicationClosed, setLook, shellClosed, shutdown, synch, terminateIfLastShell, upload, waitForInit`

Methods inherited from class com.ibm.ulc.util.UlcObject
`trouble, trouble2, trouble2Err, troubleErr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pie

    public Pie()

Method Detail

### main

    public static void main(java.lang.String[] args)

### pieSelected

    public void pieSelected(java.lang.String label)

  Increment the selected pie segment by 1 every time it is selected.

### start

    public void start()

  Build the sample ULC application.
  Overrides:
    start in class com.ibm.ulc.application.ULCContext

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD